## ros-iron-soccer-marker-generation 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(soccer_marker_generation)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(visualization_msgs REQUIRED)
find_package(soccer_object_msgs REQUIRED)

# Build ball_to_marker
add_executable(ball_to_marker src/ball_to_marker.cpp)
ament_target_dependencies(ball_to_marker
  rclcpp
  visualization_msgs
  soccer_object_msgs)

# Build goalpost_array_to_marker_array
add_executable(goalpost_array_to_marker_array src/goalpost_array_to_marker_array.cpp)
ament_target_dependencies(goalpost_array_to_marker_array
  rclcpp
  visualization_msgs
  soccer_object_msgs)

# Build field_line_array_to_marker_array
add_executable(field_line_array_to_marker_array src/field_line_array_to_marker_array.cpp)
ament_target_dependencies(field_line_array_to_marker_array
  rclcpp
  visualization_msgs
  soccer_object_msgs)

# Build robot_array_to_marker_array
add_executable(robot_array_to_marker_array src/robot_array_to_marker_array.cpp)
ament_target_dependencies(robot_array_to_marker_array
  rclcpp
  visualization_msgs
  soccer_object_msgs)

# Build flag_array_to_marker_array
add_executable(flag_array_to_marker_array src/flag_array_to_marker_array.cpp)
ament_target_dependencies(flag_array_to_marker_array
  rclcpp
  visualization_msgs
  soccer_object_msgs)

# Install
install(TARGETS
  ball_to_marker
  goalpost_array_to_marker_array
  field_line_array_to_marker_array
  robot_array_to_marker_array
  flag_array_to_marker_array
  DESTINATION lib/${PROJECT_NAME})

foreach(dir launch meshes)
  install(DIRECTORY ${dir}/
    DESTINATION share/${PROJECT_NAME}/${dir}/)
endforeach()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-iron-soccer-marker-generation (0.1.0-3jammy) jammy; urgency=high

  * Deprecate package in favor of ros-sports/soccer_vision_3d_rviz_markers (#3 <https://github.com/ijnek/soccer_visualization/issues/3>)
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Fri, 28 Oct 2022 16:00:00 -0000

ros-iron-soccer-marker-generation (0.0.2-3jammy) jammy; urgency=high

  * rename soccer_interfaces/soccer_vision_msgs to soccer_object_msgs
  * Use new Ball msg, rather than Point msg
  * add ament_cmake_gtest to package.xml
  * Contributors: Kenji Brameld, ijnek

 -- ijnek <kenjibrameld@gmail.com>  Fri, 07 Jan 2022 16:00:00 -0000

ros-iron-soccer-marker-generation (0.0.1-3jammy) jammy; urgency=high

  * fix up soccer_marker_generation, moved from naosoccer_visualization
  * initial commit
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Fri, 23 Jul 2021 16:00:00 -0000

=== debian/control ===
Source: ros-iron-soccer-marker-generation
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp, ros-iron-soccer-object-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-soccer-marker-generation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp, ros-iron-soccer-object-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Description: Generates rviz display markers from soccer msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-soccer-marker-generation//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
